# ARM Processor iOS (iPhone): Objective-C metadata

Assembler code

```
__text:0000309C
__text:0000309C ; =============== S U B R O U T I N E =======================================
__text:0000309C
__text:0000309C ; Attributes: bp-based frame
__text:0000309C
__text:0000309C ; void __cdecl -[SMSApplication showNextMessage](SMSApplication *self, SEL)
__text:0000309C __SMSApplication_showNextMessage_       ; DATA XREF: __objc_const:000101B8↓o
__text:0000309C                 PUSH            {R4-R7,LR}
__text:0000309E                 ADD             R7, SP, #0xC
__text:000030A0                 PUSH.W          {R8}
__text:000030A4                 SUB             SP, SP, #8
__text:000030A6                 MOV             R4, R0
__text:000030A8                 MOV             R0, #(selRef_sharedConversationList - 0x30BC)
__text:000030B0                 MOV             R2, #(classRef_CKConversationList - 0x30BE)
__text:000030B8                 ADD             R0, PC  ; selRef_sharedConversationList
__text:000030BA                 ADD             R2, PC  ; classRef_CKConversationList
__text:000030BC                 LDR             R1, [R0] ; "sharedConversationList"
__text:000030BE                 LDR             R0, [R2] ; _OBJC_CLASS_$_CKConversationList ; id
__text:000030C0                 BLX             _objc_msgSend
__text:000030C4                 MOV             R1, #(selRef_activeConversations - 0x30D0)
__text:000030CC                 ADD             R1, PC  ; selRef_activeConversations
__text:000030CE                 LDR             R1, [R1] ; "activeConversations"
__text:000030D0                 BLX             _objc_msgSend
__text:000030D4                 MOV             R5, #(dword_11F80 - 0x30E8)
__text:000030DC                 MOV             R1, #(selRef_objectAtIndex_ - 0x30EA)
__text:000030E4                 ADD             R5, PC  ; dword_11F80
__text:000030E6                 ADD             R1, PC  ; selRef_objectAtIndex_
__text:000030E8                 LDR             R2, [R5]
__text:000030EA                 LDR             R1, [R1] ; "objectAtIndex:"
__text:000030EC                 BLX             _objc_msgSend
__text:000030F0                 MOV             R6, R0
__text:000030F2                 MOV             R0, #(off_1011C - 0x30FE)
__text:000030FA                 ADD             R0, PC  ; off_1011C
__text:000030FC                 LDR.W           R8, [R0] ; CKMessagesController *_messagesController;
__text:00003100                 MOV             R0, #(selRef_currentConversation - 0x310C)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.5/user-guide/disassembler/disassembly-gallery/arm-processor-ios-iphone-objective-c-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
